decorated_flutter 0.1.10

  • README.md
  • CHANGELOG.md
  • Installing
  • Versions
  • 74

framework #

A new Flutter package.

Getting Started #

For help getting started with Flutter, view our online documentation.

For help on editing package code, view the documentation.

[0.1.10]

  • enhancement: 优化打印日志内容
  • enhancement: decorated_route增加onConnectivityChanged参数
  • enhancement: 增加一些透明颜色的shortcut
  • feature: 增加enumName
  • feature: 增加区分运行模式的类
  • enhancement: BaseIO中该私有的成员私有化
  • enhancement: ShowUpTransition增加safe area的选项

[0.1.9]

  • enhancement: 增强preferred_async_builder的错误日志打印
  • enhancement: 整理Codec
  • enhancement: 更新BLoCProvider的实现
  • feature: Codec增加base64相关, 并且获取byte的时候一律使用utf8.encode而不是直接codeUnits
  • feature: 增加信息摘要的方法
  • enhancement: isNotEmpty -> != null
  • feature: 增加ImageView封装Image和Svg的widget.

[0.1.8]

  • feature: io增加addStream方法
  • feature: 增加codec类

[0.1.7]

  • feature: 增加loadingPlaceholder 自定义loading的widget
  • feature: preferred_async_view增加loadingPlaceholder参数
  • feature: cover_card初步, shadowed_box默认参数调整
  • feature: 增加alias.dart
  • feature: 增加animation
  • enhancement: 增加insertFromHead参数
  • enhancement: 增加startWithDivider参数

[0.1.6]

  • enhancement: reverse和divider配合
  • enhancement: async_list_view.widget的itemBuilder增加lastData参数
  • enhancement: 优化StreamListView的incremental相关功能
  • feature: 增加notification_badge
  • enhancement: decorated_flex的expanded -> crossExpanded, 语义准确一点

[0.1.5]

  • chore: 提升dio版本
  • feature: async_list_view增加endWithDivider参数, 配置列表结尾是否有divider
  • bugfix: withDefaultTabController的assert的bug
  • feature: decorated_route增加withDefaultTabController和tabLength参数
  • enhancement: BLoC标记为@immutable
  • [break change] chore: trigger -> fetch

[0.1.4]

  • enhancement: 升级依赖
  • bugfix: DecoratedFlex的onPressed问题

[0.1.3]

  • bugfix: async_list_view的bug处理
  • enhancement: dio升级2.0.2
  • enhancement: [break change] 去除cached_network_image; 错误处理方法优化
  • enhancement: StreamListView默认ScrollController
  • enhancement: [break change] showMessage方法的exitTo参数换成String类型的路由参数, 替换Deprecated的Type参数

[0.1.2]

  • enhancement: 增加Value类, 把一些简单的StatefulWidget转换回StatelessWidget;
  • enhancement: [break change] DecoratedFlex的onTap和onLongPressed重命名为onPressed和onLongPressed, 并且传入BuildContext参数.
  • feature: DecoratedFlex增加expanded参数, 控制是否Expanding
  • feature: DecoratedFlex增加visible参数, 控制是否显示
  • feature: async_list_view增加incremental和distinct参数, 分别控制是否增长列表和列表元素是否唯一

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  decorated_flutter: ^0.1.10

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:decorated_flutter/decorated_flutter.dart';
  
Version Uploaded Documentation Archive
0.1.10 Apr 15, 2019 Go to the documentation of decorated_flutter 0.1.10 Download decorated_flutter 0.1.10 archive
0.1.9 Apr 4, 2019 Go to the documentation of decorated_flutter 0.1.9 Download decorated_flutter 0.1.9 archive
0.1.8 Apr 1, 2019 Go to the documentation of decorated_flutter 0.1.8 Download decorated_flutter 0.1.8 archive
0.1.7 Mar 27, 2019 Go to the documentation of decorated_flutter 0.1.7 Download decorated_flutter 0.1.7 archive
0.1.6 Mar 20, 2019 Go to the documentation of decorated_flutter 0.1.6 Download decorated_flutter 0.1.6 archive
0.1.5 Mar 13, 2019 Go to the documentation of decorated_flutter 0.1.5 Download decorated_flutter 0.1.5 archive
0.1.4 Feb 27, 2019 Go to the documentation of decorated_flutter 0.1.4 Download decorated_flutter 0.1.4 archive
0.1.3 Feb 14, 2019 Go to the documentation of decorated_flutter 0.1.3 Download decorated_flutter 0.1.3 archive
0.1.2 Jan 26, 2019 Go to the documentation of decorated_flutter 0.1.2 Download decorated_flutter 0.1.2 archive
0.1.1 Jan 22, 2019 Go to the documentation of decorated_flutter 0.1.1 Download decorated_flutter 0.1.1 archive

All 16 versions...

Popularity:
Describes how popular the package is relative to other packages. [more]
53
Health:
Code health derived from static analysis. [more]
99
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
90
Overall:
Weighted score of the above. [more]
74
Learn more about scoring.

We analyzed this package on Apr 16, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.2.0
  • pana: 0.12.14
  • Flutter: 1.4.7

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Health suggestions

Fix lib/src/bloc/bloc.dart. (-0.50 points)

Analysis of lib/src/bloc/bloc.dart reported 1 hint:

line 23 col 37: 'Event' is deprecated and shouldn't be used.

Fix lib/src/router/route_parser.dart. (-0.50 points)

Analysis of lib/src/router/route_parser.dart reported 1 hint:

line 31 col 51: 'parseRoute' is deprecated and shouldn't be used.

Fix lib/src/ui/picker/picker.dart. (-0.50 points)

Analysis of lib/src/ui/picker/picker.dart reported 1 hint:

line 557 col 7: Name non-constant identifiers using lowerCamelCase.

Maintenance suggestions

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package.

Common filename patterns include main.dart, example.dart, and decorated_flutter.dart. Packages with multiple examples should provide example/README.md.

For more information see the pub package layout conventions.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev.68.0 <3.0.0
connectivity ^0.4.2+2 0.4.3
crypto ^2.0.6 2.0.6
dio ^2.1.0 2.1.2
encrypt ^2.0.0 2.2.0
flutter 0.0.0
flutter_advanced_networkimage ^0.4.14 0.4.15 0.5.0-alpha.1
flutter_svg ^0.12.1 0.12.4
intl ^0.15.7 0.15.8
kiwi ^0.1.0 0.1.0
rxdart ^0.21.0 0.21.0
Transitive dependencies
args 1.5.1
asn1lib 0.5.8
async 2.2.0
charcode 1.1.2
collection 1.14.11
convert 2.1.1
cookie_jar 1.0.0
http 0.12.0+2
http_parser 3.1.3
meta 1.1.6 1.1.7
path 1.6.2
path_drawing 0.4.0
path_parsing 0.1.3
path_provider 0.5.0+1
pedantic 1.5.0
petitparser 2.2.1
pointycastle 1.0.1
sky_engine 0.0.99
source_span 1.5.5
string_scanner 1.0.4
term_glyph 1.1.0
typed_data 1.1.6
vector_math 2.0.8
xml 3.4.1
Dev dependencies
flutter_test
mockito 4.0.0